> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Offer Bulk Edit Preview

Validate a batch of offer changes without applying them. Use this endpoint to check whether a given bulk edit would be valid before actually applying it with the PATCH endpoint. Returns whether the proposed changes are acceptable.


## OpenAPI

````yaml openapi/offers-extras.yaml post /networks/patch/offers/submit
openapi: 3.0.3
info:
  title: Everflow Network API - Offers (Additional Endpoints)
  description: >
    Additional offer management endpoints for the Everflow partner marketing
    platform. Includes bulk editing, copying, streaming, payout/revenue config,
    forwarding rules, and more.
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Offers
    description: Additional endpoints for managing offers.
paths:
  /networks/patch/offers/submit:
    post:
      tags:
        - Offers
      summary: Offer Bulk Edit Preview
      requestBody:
        required: true
        content:
          application/json:
            example:
              network_offer_ids:
                - 1
                - 2
                - 3
              fields:
                - field_type: offer_status
                  field_value: paused
                  operator: overwrite
            schema:
              $ref: '#/components/schemas/OfferPatchRequestBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  changes:
                    type: array
                    items:
                      type: object
                      properties:
                        network_offer:
                          type: object
                          properties:
                            network_offer_id:
                              type: integer
                            network_id:
                              type: integer
                            name:
                              type: string
                            offer_status:
                              type: string
                        change_status:
                          type: string
                          enum:
                            - ok
                            - error
                            - no_change
                        current_field:
                          type: object
                          properties:
                            field_type:
                              type: string
                            field_value: {}
                            operator:
                              type: string
                        changed_field:
                          type: object
                          properties:
                            field_type:
                              type: string
                            field_value: {}
                            operator:
                              type: string
                        error_message:
                          type: string
                        related_changes:
                          type: string
                  resource_errors:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        label:
                          type: string
                        type:
                          type: string
                        message:
                          type: string
      security:
        - API Key: []
components:
  schemas:
    OfferPatchRequestBody:
      type: object
      required:
        - network_offer_ids
        - fields
      properties:
        network_offer_ids:
          type: array
          items:
            type: integer
          description: Array of offer IDs to update.
        fields:
          type: array
          items:
            type: object
            required:
              - field_type
              - field_value
              - operator
            properties:
              field_type:
                type: string
                description: The offer field to update.
                enum:
                  - offer_status
                  - network_advertiser_id
                  - network_offer_group_id
                  - network_category_id
                  - currency_id
                  - labels
                  - app_identifier
                  - internal_notes
                  - project_id
                  - channels
                  - date_live_until
                  - html_description
                  - is_offer_description_plaintext
                  - destination_url
                  - destination_url_replace
                  - offer_name
                  - preview_url
                  - preview_url_replace
                  - invoca_enabled
                  - payout_revenue_name
                  - revenue
                  - payout
                  - is_must_approve_conversion
                  - is_allow_duplicate_conversion
                  - is_postback_disabled
                  - additional_events
                  - network_tracking_domain_id
                  - conversion_method
                  - is_use_secure_link
                  - is_allow_deep_link
                  - is_use_direct_linking
                  - is_caps_enabled
                  - is_soft_cap
                  - daily_click_cap
                  - weekly_click_cap
                  - monthly_click_cap
                  - global_click_cap
                  - daily_conversion_cap
                  - weekly_conversion_cap
                  - monthly_conversion_cap
                  - global_conversion_cap
                  - daily_payout_cap
                  - weekly_payout_cap
                  - monthly_payout_cap
                  - global_payout_cap
                  - daily_revenue_cap
                  - weekly_revenue_cap
                  - monthly_revenue_cap
                  - global_revenue_cap
                  - visibility
                  - is_using_explicit_terms_and_conditions
                  - is_force_terms_and_conditions
                  - terms_and_conditions
                  - is_whitelist_check_enabled
                  - session_definition
                  - session_duration
                  - is_duplicate_filter_enabled
                  - duplicate_filter_targeting_action
                  - redirect_mode
                  - requirement_kpis
                  - requirement_tracking_parameters
                  - is_block_already_converted
                  - already_converted_action
                  - is_use_scrub_rate
                  - scrub_rate_status
                  - scrub_rate_percentage
                  - is_session_tracking_enabled
                  - session_tracking_lifespan_hour
                  - session_tracking_minimum_lifespan_second
                  - attribution_method
                  - is_view_through_enabled
                  - is_view_through_session_tracking_enabled
                  - view_through_session_tracking_lifespan_minute
                  - view_through_session_tracking_minimal_lifespan_second
                  - >-
                    twentyfour_metrics_network_integration_twentyfour_metrics_tracker_id
                  - forensiq_is_forensiq_click_threshold_enabled
                  - forensiq_click_threshold
                  - forensiq_action
                  - forensiq_is_forensiq_conversion_threshold_enabled
                  - forensiq_conversion_threshold
                  - forensiq_conversion_status
                  - anura_enabled
                  - ip_quality_score_enabled
                  - ip_quality_score_min_fraud_score
                  - ip_quality_score_min_fraud_score_mobile
                  - ip_quality_score_action
                  - server_side_url
                  - server_side_url_replace
                  - view_through_destination_url
                  - view_through_destination_url_replace
                  - ruleset_platforms
                  - ruleset_device_types
                  - ruleset_browsers
                  - ruleset_os_versions
                  - ruleset_languages
                  - ruleset_countries
                  - ruleset_regions
                  - ruleset_cities
                  - ruleset_dmas
                  - ruleset_mobile_carriers
                  - ruleset_isps
                  - ruleset_connection_types
                  - ruleset_ips
                  - ruleset_is_block_proxy
                  - ruleset_brands
                  - ruleset_postal_codes
                  - traffic_filters
                  - ruleset_is_use_day_parting
                  - ruleset_day_parting_apply_to
                  - ruleset_day_parting_timezone_id
                  - ruleset_days_parting
                  - is_fail_traffic_enabled
                  - redirect_internal_routing_type
                  - email_is_enabled
                  - email_subject_lines
                  - email_from_lines
                  - email_optout_is_enabled
                  - email_optout_suppression_file_link
                  - email_optout_unsub_link
                  - email_suppression_file
                  - ezepo_enabled
                  - optizmo_optoutlist_id
                  - unsubcentral_list_id
              field_value:
                description: >-
                  The new value for the field. Type depends on the field being
                  updated (string, integer, boolean, float, array, or object).
              operator:
                type: string
                enum:
                  - overwrite
                  - append
                  - delete
                  - clear
                description: >
                  How to apply the value. `overwrite` replaces the current
                  value, `append` adds to existing values (for list fields like
                  labels), `delete` removes specific values, `clear` resets the
                  field.
          description: Array of field changes to apply.
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````